@init @aegir @aegirvps @project
Feature: Initialize aegirvps project
  In order to use the consensus.aegir-policy role
  As a DevOps engineer
  I need to be able to initialize an aegirvps project

  Scenario: Smoke test initializing aegirvps project
     Given I bootstrap this Ansible role
     # We need to initialize project dependencies, to get the definition of
     # `init-role-openstack`, since we call it from `init-role-aegirvps`.
     # Note that this is normally done within `init-project-aegirvps`.
       And I run "make init-project-aegirvps-dependencies"
      When I run "make -n init-role-aegirvps"
      Then I should get:
       """
       Setting up Consensus AegirVPS project (consensus.aegir-policy).
       Finished setting up Consensus AegirVPS project (consensus.aegir-policy).
       """

  @slow @bind-mounts @volumes @admin-users
  Scenario: Test initializing aegirvps project
      Given I bootstrap this Ansible role
       When I run "make init-project-aegirvps"
       Then I should get:
       """
       Setting up Consensus AegirVPS project (consensus.aegir-policy).
       Finished setting up Consensus AegirVPS project (consensus.aegir-policy).
       """
       Then the following files should exist:
       """
       roles/consensus.aegir-policy
       roles/consensus.cloud-openstack
       inventory/host_vars/localhost.yml
       inventory/group_vars/aegir.yml
       inventory/host_vars/aegir0.yml
       playbooks/groups/aegir.yml
       playbooks/hosts/aegir0.yml
       inventory/host_vars/all.yml
       """
       And the following files should not exist:
       """
       inventory/group_vars/example_group.yml
       inventory/host_vars/example-host.yml
       playbooks/groups/example_group.yml
       playbooks/hosts/example-host.yml
       """
       And the file "playbooks/groups/aegir.yml" should contain: 
       """
       ---
       - name: Group playbook for group 'aegir' generated by Drumkit.
         hosts: aegir
       
         roles:
           - consensus.admin-users
           - consensus.aegir-policy
       """
       And the file "inventory/host_vars/all.yml" should contain:
       """
       admin_users:
         - name: ergonlogic
         - name: lamech
         - name: spiderman
         - name: colan
       """
       And the file "inventory/host_vars/localhost.yml" should contain:
       """
       os_servers:
         - name: 'aegir0'
           groups:
             - aegir
       volumes:
       - path: /opt/var/aegir
         size: 10
         device: /dev/vdb
       - path: /opt/var/aegir/backups
         size: 20
         device: /dev/vdc
       - path: /opt/var/lib/mysql
         size: 10
         device: /dev/vdd
       """
       And the file "inventory/group_vars/aegir.yml" should contain:
       """
       bind_mounts:
         '/var/aegir':
           src: '/opt/var/aegir'
           owner: aegir
           group: aegir
         '/var/aegir/backups':
           src: '/opt/var/aegir/backups'
           owner: aegir
           group: aegir
         '/var/lib/mysql':
           src: '/opt/var/lib/mysql'
       """

  @slow
  Scenario: Test initializing aegirvps project with non-default host and group names
      Given I bootstrap this Ansible role
        And I run "make init-project-aegirvps host=myhost group=mygroup"
       And the file "inventory/host_vars/localhost.yml" should contain:
       """
       os_servers:
         - name: 'myhost'
           groups:
             - mygroup
       """
       And the following files should not exist:
       """
       inventory/group_vars/aegir.yml
       inventory/host_vars/aegir0.yml
       playbooks/groups/aegir.yml
       playbooks/hosts/aegir0.yml
       """
       And the following files should exist:
       """
       inventory/group_vars/mygroup.yml
       inventory/host_vars/myhost.yml
       playbooks/groups/mygroup.yml
       playbooks/hosts/myhost.yml
       """
 
